cURL
curl --request GET \
--url https://api.useanima.sh/v1/vault/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useanima.sh/v1/vault/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useanima.sh/v1/vault/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"type": "login",
"name": "<string>",
"favorite": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"login": {
"username": "<string>",
"password": "<string>",
"uris": [
{
"uri": "<string>",
"match": "domain"
}
],
"totp": "<string>"
},
"card": {
"cardholderName": "<string>",
"brand": "<string>",
"number": "<string>",
"expMonth": "<string>",
"expYear": "<string>",
"code": "<string>"
},
"identity": {
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"company": "<string>",
"ssn": "<string>"
},
"oauthToken": {
"provider": "<string>",
"accessToken": "<string>",
"refreshToken": "<string>",
"tokenEndpoint": "<string>",
"clientId": "<string>",
"scopes": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z",
"clientSecret": "<string>",
"autoRefresh": true,
"allowedHosts": [
"<string>"
]
},
"apiKey": {
"provider": "<string>",
"key": "<string>",
"prefix": "<string>",
"rateLimit": {
"requests": 1,
"window": "<string>"
},
"expiresAt": "2023-11-07T05:31:56Z",
"scopes": [
"<string>"
],
"allowedHosts": [
"<string>"
],
"authHeader": "<string>",
"authScheme": "<string>"
},
"certificate": {
"format": "pem",
"certificate": "<string>",
"privateKey": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"chain": [
"<string>"
]
},
"fields": [
{
"name": "<string>",
"value": "<string>",
"type": "text"
}
],
"folderId": "<string>",
"organizationId": "<string>",
"collectionIds": [
"<string>"
],
"revealPolicy": "standard"
}
]
}API Reference
Get vaultsearch
GET
/
vault
/
search
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Query Parameters
Agent identifier. Optional when using an agent API key (resolved automatically); required when using a master key.
Pattern:
^[0-9a-z]+$Free-text search query
Alias for search
Filter results by credential type
Available options:
login, secure_note, card, identity, oauth_token, api_key, certificate Response
200 - application/json
OK
List of vault credentials
List of credentials matching the query
Show child attributes
Show child attributes
⌘I
